Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Trilead SSH-2 for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trilead.ssh2
Class ConnectionInfo

    java.lang.Object
      com.trilead.ssh2.ConnectionInfo

    public class ConnectionInfo

extends java.lang.Object

In most cases you probably do not need the information contained in here.

Version:
  $Id: ConnectionInfo.java,v 1.1 2007/10/15 12:49:56 cplattne Exp $
Author:
  Christian Plattner, plattner@trilead.com

Field Summary
`java.lang.String` | `clientToServerCryptoAlgorithm` The currently used crypto algorithm for packets from to the client to the server.
`java.lang.String` | `clientToServerMACAlgorithm` The currently used MAC algorithm for packets from to the client to the server.
`java.lang.String` | `keyExchangeAlgorithm` The used key exchange (KEX) algorithm in the latest key exchange.
`int` | `keyExchangeCounter` Number of kex exchanges performed on this connection so far.
`byte[]` | `serverHostKey` The server host key that was sent during the latest key exchange.
`java.lang.String` | `serverHostKeyAlgorithm` The type of the server host key (currently either "ssh-dss" or "ssh-rsa").
`java.lang.String` | `serverToClientCryptoAlgorithm` The currently used crypto algorithm for packets from to the server to the client.
`java.lang.String` | `serverToClientMACAlgorithm` The currently used MAC algorithm for packets from to the server to the client.

Constructor Summary
`ConnectionInfo()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyExchangeAlgorithm

    public java.lang.String keyExchangeAlgorithm

  The used key exchange (KEX) algorithm in the latest key exchange.

### clientToServerCryptoAlgorithm

    public java.lang.String clientToServerCryptoAlgorithm

  The currently used crypto algorithm for packets from to the client to the server.

### serverToClientCryptoAlgorithm

    public java.lang.String serverToClientCryptoAlgorithm

  The currently used crypto algorithm for packets from to the server to the client.

### clientToServerMACAlgorithm

    public java.lang.String clientToServerMACAlgorithm

  The currently used MAC algorithm for packets from to the client to the server.

### serverToClientMACAlgorithm

    public java.lang.String serverToClientMACAlgorithm

  The currently used MAC algorithm for packets from to the server to the client.

### serverHostKeyAlgorithm

    public java.lang.String serverHostKeyAlgorithm

  The type of the server host key (currently either "ssh-dss" or "ssh-rsa").

### serverHostKey

    public byte[] serverHostKey

  The server host key that was sent during the latest key exchange.

### keyExchangeCounter

    public int keyExchangeCounter

  Number of kex exchanges performed on this connection so far.

Constructor Detail

### ConnectionInfo

    public ConnectionInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Trilead SSH-2 for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD